package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class HandMacDepositFactory
{
    private HandMacDepositFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.IHandMacDeposit getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IHandMacDeposit)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("CD22A6C7") ,com.kingdee.eas.custom.compensation.IHandMacDeposit.class);
    }
    
    public static com.kingdee.eas.custom.compensation.IHandMacDeposit getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IHandMacDeposit)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("CD22A6C7") ,com.kingdee.eas.custom.compensation.IHandMacDeposit.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.IHandMacDeposit getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IHandMacDeposit)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("CD22A6C7"));
    }
    public static com.kingdee.eas.custom.compensation.IHandMacDeposit getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IHandMacDeposit)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("CD22A6C7"));
    }
}